﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

using System.Diagnostics;

namespace MyIllustPuzzle
{
    ////////////////////////////////////////////////////////////////////////////////
    // [MyIllustPuzzle]
    ////////////////////////////////////////////////////////////////////////////////
    //【変更履歴】 
    //
    // 2011-01-07 Ver1.0.2 バグ対策
    //            [CheckResult]メソッドのバグを修正
    // 2010-12-28 Ver1.0.1 バグ対策
    //            [IsChangedByTry4Detail]メソッドで、_lstState.Countが0になったとき
    //            に発生するオーバーフローの対策をとる
    // 2010-12-03 Ver1.0.0 timespanの上昇幅を段階的に増加するように変更、ＨＰ公開用
    // 2010-12-02 Ver0.5.0 [FormMain]で、変数の型、名前を修正
    //            timespanを自動変更するように変更、timespanのチェック位置変更
    // 2010-11-21 Ver0.4.0 [FormMain]-[IsCrFinished]大幅変更、_cycle削除
    //            [FormIniSet]のcbxCol,cbxRowをpanel5に出し、panel2,3のBackColor変更
    // 2010-11-21 Ver0.3.1 [FormMain]の変数名修正 MFY⇒C_SIZE､vcr⇒vn､vinv⇒vcr
    // 2010-11-20 Ver0.3.0 描画をpbxからbitmap方式に変更
    // 2010-11-19 Ver0.2.0 作成。
    // 
    ////////////////////////////////////////////////////////////////////////////////

    static class Program
    {
        /// <summary>
        /// 
        /// </summary>
        [STAThread]
        static void Main()
        {
            if (Process.GetProcessesByName(Process.GetCurrentProcess().ProcessName).Length > 1)
            {
                CC.ShowMsg("すでに起動されています。", CC.MSG_EXC);
                return;
            }

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new FormIniSet());
        }
    }
}
